package com.persagy.calendar.utils;

import java.io.Serializable;

import com.alibaba.fastjson.annotation.JSONField;

import lombok.Data;

/**
 * @description 
 * @author zhangqiankun
 * @since 2020年8月26日:	下午5:17:08
 */
@Data
public class ResponseOldResult implements Serializable {
	private static final long serialVersionUID = -5995466093934581697L;

	@JSONField(name = "id")				// 响应ID
	private String id;
	
	@JSONField(name = "Result")
	private String result;				// 响应结果 success failure
	
	@JSONField(name = "ResultMsg")
	private String respMsg;				// 响应描述

	@JSONField(name = "Content")
	private Object content; 			// 响应数据，实际可以是请求体，也可以是响应体，随意
	
	@JSONField(name = "Count")
	private Integer count;				// 响应数据总记录数
	
	public ResponseOldResult() {
		
	}

	public ResponseOldResult(String respMsg) {
		super();
		this.respMsg = respMsg;
	}
	
	public ResponseOldResult(String result, String respMsg) {
		super();
		this.result = result;
		this.respMsg = respMsg;
	}

	public ResponseOldResult(String result, String respMsg, Object content, Integer count) {
		super();
		this.result = result;
		this.respMsg = respMsg;
		this.content = content;
		this.count = count;
	}
	
	public ResponseOldResult(String id, String result, String respMsg, Object content, Integer count) {
		super();
		this.id = id;
		this.result = result;
		this.respMsg = respMsg;
		this.content = content;
		this.count = count;
	}
	
}
